# xmms-mid.spec
%define version 0.02
%define release 1
%define name xmms-mid
%define prefix /usr

Summary: midi plugin for xmms
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Multimedia
Source: %{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-root
Copyright: GPL
Packager: Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

Requires: xmms
BuildRequires: xmms-devel
%description
This is the midi file player Plug-In for x11amp, using the code from
Timidity and based on the .wav file plugin.  It was originally written by
Chris Reed <chris-midx11amp@dotcolon.colondot.net>.

%changelog
* Sun Dec  5 1999 Kjetil Wiekhorst Jrgensen <jorgens+rpm@pvv.org>

- initialization of spec file.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n mid-%{version}

%build
rm -f libmid.la *.lo *.o
# make dep EXTRAINCS='-I../../ -I. -I/usr/include/slang'
mkdir .deps
make EXTRAINCS='-I../../ -I. -I/usr/include/slang'

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/xmms/Input/
make install prefix=$RPM_BUILD_ROOT%{prefix}

%files
%defattr(-,root,root)
%doc CHANGES COPYING* INSTALL* README* TODO* FAQ* 
/usr/lib/xmms/Input/*

%clean
rm -rf $RPM_BUILD_ROOT
# end of file
